Package org.wso2.carbon.deployment.synchronizer.stub.types

# Class DeploymentSynchronizerAdminStub

java.lang.Object
org.apache.axis2.client.Stub
org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminStub

All Implemented Interfaces:
  `DeploymentSynchronizerAdmin`

public class DeploymentSynchronizerAdminStub extends org.apache.axis2.client.Stub implements DeploymentSynchronizerAdmin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.apache.axis2.description.AxisOperation[]`
  `_operations`

  ### Fields inherited from class org.apache.axis2.client.Stub

  `_service, _serviceClient, modules`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeploymentSynchronizerAdminStub()`
  Default Constructor
  `DeploymentSynchronizerAdminStub(String targetEndpoint)`
  Constructor taking the target endpoint
  `DeploymentSynchronizerAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)`
  Default Constructor
  `DeploymentSynchronizerAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)`
  Constructor that takes in a configContext
  `DeploymentSynchronizerAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)`
  Constructor that takes in a configContext and useseperate listner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkout()`
  Auto generated method signature
  `void`
  `commit()`
  Auto generated method signature
  `void`
  `disableSynchronizerForCarbonRepository()`
  Auto generated method signature
  `void`
  `enableSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config51)`
  Auto generated method signature
  `long`
  `getLastCheckoutTime()`
  Auto generated method signature
  `long`
  `getLastCommitTime()`
  Auto generated method signature
  `RepositoryConfigParameter[]`
  `getParamsByRepositoryType(String repositoryType37)`
  Auto generated method signature
  `String[]`
  `getRepositoryTypes()`
  Auto generated method signature
  `DeploymentSynchronizerConfiguration`
  `getSynchronizerConfigurationForCarbonRepository()`
  Auto generated method signature
  `void`
  `startgetLastCheckoutTime(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetLastCommitTime(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetParamsByRepositoryType(String repositoryType37, DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetRepositoryTypes(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startgetSynchronizerConfigurationForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `void`
  `startsynchronizerEnabledForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback)`
  Auto generated method signature for Asynchronous Invocations
  `boolean`
  `synchronizerEnabledForCarbonRepository()`
  Auto generated method signature
  `void`
  `updateSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config42)`
  Auto generated method signature

  ### Methods inherited from class org.apache.axis2.client.Stub

  `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _operations

    protected org.apache.axis2.description.AxisOperation[] _operations

- ## Constructor Details

  - ### DeploymentSynchronizerAdminStub

    public DeploymentSynchronizerAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint) throws org.apache.axis2.AxisFault
    Constructor that takes in a configContext
    Throws:
      `org.apache.axis2.AxisFault`

  - ### DeploymentSynchronizerAdminStub

    public DeploymentSynchronizerAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener) throws org.apache.axis2.AxisFault
    Constructor that takes in a configContext and useseperate listner
    Throws:
      `org.apache.axis2.AxisFault`

  - ### DeploymentSynchronizerAdminStub

    public DeploymentSynchronizerAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Default Constructor
    Throws:
      `org.apache.axis2.AxisFault`

  - ### DeploymentSynchronizerAdminStub

    public DeploymentSynchronizerAdminStub() throws org.apache.axis2.AxisFault
    Default Constructor
    Throws:
      `org.apache.axis2.AxisFault`

  - ### DeploymentSynchronizerAdminStub

    public DeploymentSynchronizerAdminStub(String targetEndpoint) throws org.apache.axis2.AxisFault
    Constructor taking the target endpoint
    Throws:
      `org.apache.axis2.AxisFault`

- ## Method Details

  - ### getRepositoryTypes

    public String[] getRepositoryTypes() throws RemoteException
    Auto generated method signature
    Specified by:
      `getRepositoryTypes` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getRepositoryTypes32` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.getRepositoryTypes()`

  - ### startgetRepositoryTypes

    public void startgetRepositoryTypes(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetRepositoryTypes` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getRepositoryTypes32` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.startgetRepositoryTypes(org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler)`

  - ### disableSynchronizerForCarbonRepository

    public void disableSynchronizerForCarbonRepository() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Specified by:
      `disableSynchronizerForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### getParamsByRepositoryType

    public RepositoryConfigParameter[] getParamsByRepositoryType(String repositoryType37) throws RemoteException
    Auto generated method signature
    Specified by:
      `getParamsByRepositoryType` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getParamsByRepositoryType36` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.getParamsByRepositoryType(java.lang.String)`

  - ### startgetParamsByRepositoryType

    public void startgetParamsByRepositoryType(String repositoryType37, DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetParamsByRepositoryType` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getParamsByRepositoryType36` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.startgetParamsByRepositoryType(java.lang.String, org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler)`

  - ### commit

    public void commit() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Specified by:
      `commit` in interface `DeploymentSynchronizerAdmin`
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### updateSynchronizerForCarbonRepository

    public void updateSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config42) throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Specified by:
      `updateSynchronizerForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### checkout

    public void checkout() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Specified by:
      `checkout` in interface `DeploymentSynchronizerAdmin`
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### getSynchronizerConfigurationForCarbonRepository

    public DeploymentSynchronizerConfiguration getSynchronizerConfigurationForCarbonRepository() throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Specified by:
      `getSynchronizerConfigurationForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getSynchronizerConfigurationForCarbonRepository44` -
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.getSynchronizerConfigurationForCarbonRepository()`

  - ### startgetSynchronizerConfigurationForCarbonRepository

    public void startgetSynchronizerConfigurationForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetSynchronizerConfigurationForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getSynchronizerConfigurationForCarbonRepository44` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.startgetSynchronizerConfigurationForCarbonRepository(org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler)`

  - ### synchronizerEnabledForCarbonRepository

    public boolean synchronizerEnabledForCarbonRepository() throws RemoteException
    Auto generated method signature
    Specified by:
      `synchronizerEnabledForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `synchronizerEnabledForCarbonRepository47` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.synchronizerEnabledForCarbonRepository()`

  - ### startsynchronizerEnabledForCarbonRepository

    public void startsynchronizerEnabledForCarbonRepository(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startsynchronizerEnabledForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `synchronizerEnabledForCarbonRepository47` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.startsynchronizerEnabledForCarbonRepository(org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler)`

  - ### enableSynchronizerForCarbonRepository

    public void enableSynchronizerForCarbonRepository(DeploymentSynchronizerConfiguration config51) throws RemoteException, DeploymentSynchronizerAdminDeploymentSynchronizerException
    Auto generated method signature
    Specified by:
      `enableSynchronizerForCarbonRepository` in interface `DeploymentSynchronizerAdmin`
    Throws:
      `DeploymentSynchronizerAdminDeploymentSynchronizerException` - :
      `RemoteException`

  - ### getLastCheckoutTime

    public long getLastCheckoutTime() throws RemoteException
    Auto generated method signature
    Specified by:
      `getLastCheckoutTime` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getLastCheckoutTime52` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.getLastCheckoutTime()`

  - ### startgetLastCheckoutTime

    public void startgetLastCheckoutTime(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetLastCheckoutTime` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getLastCheckoutTime52` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.startgetLastCheckoutTime(org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler)`

  - ### getLastCommitTime

    public long getLastCommitTime() throws RemoteException
    Auto generated method signature
    Specified by:
      `getLastCommitTime` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getLastCommitTime55` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.getLastCommitTime()`

  - ### startgetLastCommitTime

    public void startgetLastCommitTime(DeploymentSynchronizerAdminCallbackHandler callback) throws RemoteException
    Auto generated method signature for Asynchronous Invocations
    Specified by:
      `startgetLastCommitTime` in interface `DeploymentSynchronizerAdmin`
    Parameters:
      `getLastCommitTime55` -
    Throws:
      `RemoteException`
    See Also:
      - `DeploymentSynchronizerAdmin.startgetLastCommitTime(org.wso2.carbon.deployment.synchronizer.stub.types.DeploymentSynchronizerAdminCallbackHandler)`